body {
    margin: 1em;
    background-color: #ae0943;
}

a {
    color: #666;
    text-decoration: none;
}

a:hover {
    color: #333;
}

h1 {
    padding: 1em;
    color: #666;
    font-size: 100%;
}

hr {
    border-top: 2px solid #e3e3e3;
}

pre {
    overflow: auto;
    margin: 1em;
    line-height: 2em;
}

footer {
    margin: 1em;
}

.container {
    overflow: hidden;
    background-color: #fff;
    border-radius: 10px;
}

/* ***** */
/* Icons */
/* ***** */
/* from: https://uxwing.com/, see https://uxwing.com/license/ */

a[href$=".deb"] {
   background: url(../images/icons/linux-icon.svg);
   background-size: 16px 16px;
    background-repeat: no-repeat;
    background-position: left bottom;
    padding-left: 25px;
    margin-right: -25px;
}

a[href$=".rpm"] {
   background: url(../images/icons/linux-icon.svg);
   background-size: 16px 16px;
    background-repeat: no-repeat;
    background-position: left bottom;
    padding-left: 25px;
    margin-right: -25px;
}


a[href$=".dmg"] {
   background: url(../images/icons/apple-icon.svg);
   background-size: 16px 16px;
    background-repeat: no-repeat;
    background-position: left bottom;
    padding-left: 25px;
    margin-right: -25px;
}


a[href$=".exe"] {
   background: url(../images/icons/windows-icon.svg);
   background-size: 16px 16px;
    background-repeat: no-repeat;
    background-position: left bottom;
    padding-left: 25px;
    margin-right: -25px;
}

a[href$=".msi"] {
   background: url(../images/icons/windows-icon.svg);
   background-size: 16px 16px;
    background-repeat: no-repeat;
    background-position: left bottom;
    padding-left: 25px;
    margin-right: -25px;
}

a[href$=".apk"] {
   background: url(../images/icons/android-icon.svg);
   background-size: 16px 16px;
    background-repeat: no-repeat;
    background-position: left bottom;
    padding-left: 25px;
    margin-right: -25px;
}


pre a[href]:before,
pre a[href$="/"]:before {
    content: "";
    padding: 5px 25px 0 0;
    background-repeat: no-repeat;
    background-position: left bottom;
}

a[href]:before {
    background: url(../images/icons/default.png);
}

a[href$="/"]:before {
    background: url(../images/icons/folder.png);
}

/* Checksums */

a[href$=".md5"]:before {
    background: url(../images/icons/checksum.png);
}

/* Compression */

a[href$=".bz2"]:before {
   background: url(../images/icons/bz2.png);
}

a[href$=".gz"]:before {
   background: url(../images/icons/gz.png);
}

a[href$=".tar.gz"]:before {
   background: url(../images/icons/tar.gz.png);
}

/* Vagrant */

a[href$=".box"]:before {
   background: url(../images/icons/vagrant.png);
}

/* Debian */

a[href$=".deb"]:before {
   background: url(../images/icons/debian.png);
}

/* Crypt */

a[href$=".gpg"]:before {
   background: url(../images/icons/crypt.png);
}
